#
# spec file for package mpg123 (Version 0.59s)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         mpg123
Summary:      MPEG 1 layer 1, 2, 3, and MPEG 2 Audio Player
License:      Other License(s), see package
Group:        Productivity/Multimedia/Sound/Players
#Requires:     xforms
Autoreqprov:  on
Version:      0.59s
Release:      490.13
URL:          http://www.mpg123.de/
Source:       http://www.mpg123.de/mpg123/mpg123-pre%{version}.tar.gz
Patch:        mpg123-%{version}.dif
Patch1:       mpg123-%{version}-buffer-fix.patch
Patch2:       mpg123-%{version}-ppc.patch
Patch3:       mpg123-overflow.patch
Patch4:       mpg123-condecleanup.patch
Patch5:       mpg123-no_strict_aliasing.patch
Patch6:       mpg123-no_deprecated_arch.patch
Patch7:       mpg123-http-overflow.patch
Patch8:       mpg123-%{version}-proxy.patch
Patch9:       mpg123-%{version}-CAN-2004-0805.patch
Patch10:      mpg123-%{version}-CAN-2004-0982.patch
Patch11:      mpg123-%{version}-list-overflow.patch
Patch12:      mpg123-%{version}-CAN-2004-0991.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This text-based MPEG player is very fast., and is used by many GUI
based applications.



Authors:
--------
    Michael Hipp <hippm@informatik.uni-tuebingen.de>
    Oliver Fromme <oliver.fromme@heim3.tu-clausthal.de>
    Syuuhei Kashiyama <squash@mb.kcom.ne.jp>
    Kimura Takuhiro <kim@hannah.ipc.miyakyo-u.ac.jp>

%prep
%setup -q -n mpg123
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12

%build
%ifarch %ix86
make linux-3dnow
%else
%ifarch alpha ppc
make linux-%{_target_cpu}
%else
make OBJECTS="decode.o dct64.o audio_oss.o" \
     CFLAGS="-DREAL_IS_FLOAT -DLINUX -Wall -O2 -DOSS \
             -fomit-frame-pointer -funroll-all-loops -finline-functions \
             -ffast-math" \
     mpg123-make
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{_mandir}/man1
make BINDIR=$RPM_BUILD_ROOT/usr/bin \
     MANDIR=$RPM_BUILD_ROOT/%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BENCHMARKING BUGS CHANGES COPYING INSTALL JUKEBOX 
%doc README README.WIN32 README.remote TODO
%ifarch %ix86
%doc README.3DNOW
%endif
/usr/bin/mpg123
%doc %{_mandir}/man1/mpg123.1.gz

%changelog -n mpg123
* Wed Jan 19 2005 - nadvornik@suse.cz
- added more robust checking for valid values in layer2
  (CAN-2004-0991) [#49775]
- better patch for CAN-2004-0982 [#49776]
* Fri Dec 17 2004 - pmladek@suse.cz
- fixed buffer overflow in playlist handling [#49323]
* Tue Nov 02 2004 - nadvornik@suse.cz
- fixed buffer overflow while parsing HTTP URLs [#47474]
- use hardcoded User-Agent string in HTTP request
* Tue Sep 07 2004 - nadvornik@suse.cz
- added fix for CAN-2004-0805 [#44755]
* Mon Apr 05 2004 - nadvornik@suse.cz
- fixed double free in http proxy code [#38287]
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Wed Oct 15 2003 - nadvornik@suse.cz
- fixed buffer overflow in http code [#32332]
* Fri Sep 19 2003 - pthomas@suse.de
- Compile with -fno-strict-aliasing as the offending code
  can't be identified in a short time.
- Remove quite a few compiler warnings
- Use -march= instead of -m*
- Add (but don't use) a make target for 3dnow+pentium
* Wed Jan 22 2003 - nadvornik@suse.cz
- added fix for buffer overflow
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue Apr 23 2002 - nadvornik@suse.cz
- fixed to compile on ppc
* Tue Jan 15 2002 - nadvornik@suse.cz
- removed test.mp3 due to possible license problems
* Thu Nov 29 2001 - nadvornik@suse.cz
- fixed crash with new ID3 and buffer
* Wed Oct 03 2001 - kukuk@suse.de
- Add test mp3 for y2c-sound on SPARC
* Mon Aug 20 2001 - nadvornik@suse.cz
- update to pre0.59s
* Tue May 22 2001 - uli@suse.de
- worked around assumption "sizeof(long)==4" in layer3.c for
  IA64 and AXP
* Wed Apr 11 2001 - uli@suse.de
- added 3dnow patch by Kimura Takuhiro (autodetects CPU caps)
* Thu Mar 08 2001 - tiwai@suse.de
- Fixed comiple on ia64.
* Wed May 17 2000 - nadvornik@suse.cz
- added man page
- added BuildRoot
- used %%doc macro
* Sat Apr 29 2000 - kukuk@suse.de
- Fix to compile on platforms != Intel
* Thu Apr 20 2000 - adrian@suse.de
- initial package. Version 0.59r
